weka.core.pmml

## Enum Array.ArrayType

- java.lang.Object
- - java.lang.Enum<Array.ArrayType>
  - - weka.core.pmml.Array.ArrayType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Array.ArrayType>
  Enclosing class:
    Array

      public static enum Array.ArrayType
      extends java.lang.Enum<Array.ArrayType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `INT`
    `INT_SPARSE`
    `NUM`
    `REAL`
    `REAL_SPARSE`
    `STRING`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`
    `static Array.ArrayType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Array.ArrayType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NUM

          public static final Array.ArrayType NUM

    - #### INT

          public static final Array.ArrayType INT

    - #### REAL

          public static final Array.ArrayType REAL

    - #### STRING

          public static final Array.ArrayType STRING

    - #### REAL_SPARSE

          public static final Array.ArrayType REAL_SPARSE

    - #### INT_SPARSE

          public static final Array.ArrayType INT_SPARSE

  - ### Method Detail

    - #### values

          public static Array.ArrayType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Array.ArrayType c : Array.ArrayType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Array.ArrayType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<Array.ArrayType>`